LC_CHANNEL_TOKEN_SET(3)

NAME
lc_channel_token_set - set token for channel

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/key.h>

void lc_channel_token_set(lc_channel_t *chan, lc_token_t *token);

Compile and link with -llibrecast.

DESCRIPTION
lc_channel_token_set() sets token as the capability token to use when sending on channel chan.

RETURN VALUE
None.

ERRORS
None.

SEE ALSO
lc_keyring_add(3), lc_keyring_del(3), lc_keyring_init(3), lc_keyring_free(3), lc_channel_filter_set(3), lc_channel_new(3)